Finalization Pharmadex for Mozambique, Bangladesh, Namibia, Ethiopia - Support #2421

BD Clarify review checklist
01/16/2017 06:32 AM - Oleksii Kurasov

Status: Closed
Priority: Urgent
Assignee: Oleksii Kurasov
Category:

Target version:

Start date:

Due date:

% Done:
Estimated time:

Spent time:

01/16/2017
03/01/2017
0%

0.00 hour
0.00 hour

Description
See Attachemnt for current one. Seems as it wrong

History

#1 - 01/16/2017 06:32 AM - Oleksii Kurasov

- Subject changed from Clarify review checklist to BD Clarify review checklist

- Start date changed from 01/17/2017 to 01/16/2017

#2 - 01/20/2017 03:35 AM - Oleksii Kurasov
- Due date changed from 01/17/2017 to 01/23/2017

#3 - 01/23/2017 04:22 AM - Oleksii Kurasov
- Due date changed from 01/23/2017 to 01/26/2017

#4 - 01/27/2017 05:43 AM - Oleksii Kurasov
- Due date changed from 01/26/2017 to 02/17/2017

#5 - 02/24/2017 06:27 AM - Oleksii Kurasov
- Due date changed from 02/17/2017 to 02/27/2017

#6 - 03/01/2017 12:11 PM - Oleksii Kurasov
- Due date changed from 02/27/2017 to 03/01/2017

- Status changed from New to Closed

Files

reviewChecklist.xlsx

06/07/2025

13.7 KB 01/16/2017

Oleksii Kurasov
